import java.io.*;

/**
 * @author Roman V Satyukov
 */
public class palin_rs implements Runnable {
	private final String problemID = getClass().getName().split("_")[0].toLowerCase();
	private BufferedReader in;
	private PrintWriter out;
	
	private void check(boolean expr, String message) {
		if (!expr) {
			throw new AssertionError(message);
		}
	}
	
	private boolean isPalindrome(String str) {
		int n = str.length();
		for (int i = 0; i + i < n; i++) {
			if (str.charAt(i) != str.charAt(n - i - 1)) {
				return false;
			}
		}
		return true;
	}

	private void solve() throws IOException {
		String str = in.readLine();
		int n = str.length();
		check((1 <= n) && (n <= 100), "Length of the string is not in [1..100]");
		for (int i = 0; i < n; i++) {
			check(('a' <= str.charAt(i)) && (str.charAt(i) <= 'z'), "Not all letters are small english letters");
		}
		str = str + str;
		for (int i = 0; i < n; i++) {
			if (isPalindrome(str.substring(i, i + n))) {
				out.println("yes");
				return;
			}
		}
		out.println("no");
	}
	
	public static void main(String[] args) {
		new Thread(new palin_rs()).start();
	}

	public void run() {
		try {
			in = new BufferedReader(new FileReader(new File(problemID + ".in")));
			out = new PrintWriter(new File(problemID + ".out"));
			solve();
			in.close();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}
